Skip to main content
GET
ListReportMetadataValues

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

reportId
string
required

The report whose metadata values to list.

Query Parameters

pageSize
integer<int64>

The maximum number of metadata values to return. The service may return fewer than this value. If unspecified, at most 50 metadata values will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000. Optional.

pageToken
string

A page token, received from a previous ListReportMetadataValues call. Provide this to retrieve the subsequent page. Optional.

filter
string

A Common Expression Language (CEL) filter string. Available fields to filter by are key_name, value_string, value_number, value_boolean, key_is_archived, and value_is_archived. Optional.

Response

A successful response.

The response of a call to ReportService_ListReportMetadataValues.

metadataValues
object[]
nextPageToken
string